Bug 148370 - new port: dns/checkdns-se, DNS checker from the folks that run the .SE top level domain
Summary: new port: dns/checkdns-se, DNS checker from the folks that run the .SE top le...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-05 04:40 UTC by Stan Barber
Modified: 2010-09-01 08:22 UTC (History)
0 users

See Also:


Attachments
file.shar (7.34 KB, text/plain)
2010-07-05 04:40 UTC, Stan Barber
no flags Details
dnscheckengine.shar (11.60 KB, application/octet-stream; x-unix-mode=0644)
2010-07-29 03:52 UTC, Stan Barber
no flags Details
file.dat (862 bytes, text/plain; charset=windows-1252)
2010-07-29 03:52 UTC, Stan Barber
no flags Details
dnscheckengine.shar (11.90 KB, application/octet-stream)
2010-08-09 22:20 UTC, Stan Barber
no flags Details
file.dat (2.66 KB, text/plain; charset=windows-1252)
2010-08-09 22:20 UTC, Stan Barber
no flags Details
dnscheckengine.shar (12.39 KB, application/octet-stream; x-unix-mode=0644)
2010-08-10 16:19 UTC, Stan Barber
no flags Details
dnscheckengine.diff (12.36 KB, patch)
2010-08-14 07:55 UTC, Ashish SHUKLA
no flags Details | Diff
dnscheckengine.sh (24.89 KB, application/octet-stream)
2010-08-22 19:42 UTC, Ashish SHUKLA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stan Barber 2010-07-05 04:40:01 UTC
	new port - dns/checkdns-se

How-To-Repeat: 	This is the dnscheck software from the .SE registry
Comment 1 Ashish SHUKLA freebsd_committer 2010-07-05 21:53:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

I'll take it.
Comment 2 Ashish SHUKLA freebsd_committer 2010-07-07 13:21:03 UTC
Hi Stan,

Thanks for the submission.

I'm confused regarding the name of the port, because in your PR its mentioned
as 'dns/checkdns-se', whereas your shar file lacks a parent directory and has
the 'PORTNAME' set to 'DNSCheck'.

Could you resubmit the shar file with ambiguities resolved, using the
following command-line:

% shar `find ${PORTNAME}`

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âWe can factor the number 15 with quantum computers. We can also
factor the number 15 with a dog trained to bark three times.â (Robert
Harley, sci.crypt, 2001-12-05)
Comment 3 Stan Barber 2010-07-07 18:39:50 UTC
I would name it DNSCheck if that works for the ports tree. I think  =
there is something called dnscheck that is already there. Is it possible =
to use DNSCheck?


On Jul 7, 2010, at 7:21 AM, Ashish SHUKLA wrote:

> Hi Stan,
>=20
> Thanks for the submission.
>=20
> I'm confused regarding the name of the port, because in your PR its =
mentioned
> as 'dns/checkdns-se', whereas your shar file lacks a parent directory =
and has
> the 'PORTNAME' set to 'DNSCheck'.
>=20
> Could you resubmit the shar file with ambiguities resolved, using the
> following command-line:
>=20
> % shar `find ${PORTNAME}`
>=20
> Thanks
> --=20
> Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 =
E74F A4B0
> freebsd.org!ashish | http://people.freebsd.org/~ashish/
>=20
> =93We can factor the number 15 with quantum computers. We can also
> factor the number 15 with a dog trained to bark three times.=94 =
(Robert
> Harley, sci.crypt, 2001-12-05)
Comment 4 Ashish SHUKLA freebsd_committer 2010-07-09 00:54:28 UTC
Stan Barber writes:
> I would name it DNSCheck if that works for the ports tree. I think  there is something called dnscheck that is already there. Is it possible to use DNSCheck?


Sorry for the delay in replying. You can rename it to DNSCheck, but then make
sure executables of your port don't conflict with executables of existing
'dnscheck' port. Why not rename it 'dns/checkdns-se' as you mentioned in the
subject of the PR ? And adding a PREFIX like 'se-' to the executables iff they
conflict with 'dnscheck' port.

HTH
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âAll great truths begin as blasphemies.â (George Bernard Shaw,
"Annajanska", 1919)
Comment 5 Stan Barber 2010-07-13 07:22:03 UTC
I will change the name to dnscheck-se. It will make doing the =
dnscheck-webgui port harder when I get a chance to do that, but I guess =
that doesn't really matter. I don't think doing a prefix of "se-" makes =
sense since this software is not specific to any language. I will just =
have the software install itself as dnscheck-se for the share and perl =
scripts it installs.

On Jul 8, 2010, at 6:54 PM, Ashish SHUKLA wrote:

> Stan Barber writes:
>> I would name it DNSCheck if that works for the ports tree. I think  =
there is something called dnscheck that is already there. Is it possible =
to use DNSCheck?
>=20
> Sorry for the delay in replying. You can rename it to DNSCheck, but =
then make
> sure executables of your port don't conflict with executables of =
existing
> 'dnscheck' port. Why not rename it 'dns/checkdns-se' as you mentioned =
in the
> subject of the PR ? And adding a PREFIX like 'se-' to the executables =
iff they
> conflict with 'dnscheck' port.
>=20
> HTH
> --=20
> Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 =
E74F A4B0
> freebsd.org!ashish | http://people.freebsd.org/~ashish/
>=20
> =93All great truths begin as blasphemies.=94 (George Bernard Shaw,
> "Annajanska", 1919)
Comment 6 Ashish SHUKLA freebsd_committer 2010-07-16 08:42:44 UTC
Stan Barber writes:
> I will change the name to dnscheck-se. It will make doing the
> dnscheck-webgui port harder when I get a chance to do that, but I guess that
> doesn't really matter. I don't think doing a prefix of "se-" makes sense
> since this software is not specific to any language. I will just have the
> software install itself as dnscheck-se for the share and perl scripts it
> installs.

Sorry for the late reply. I suggested 'se-' prefix because your PR
submission's subject carries that. Just submit the updated shar file.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âI think, therefore I am⦠I think.â (Nordom, videogame "Torment",
1999)
Comment 7 Stan Barber 2010-07-29 03:52:48 UTC
ok. I have revised the name to dnscheckengine since the language is not relevant to the port. 

The new shar is attached.

Let me know if there are further questions/concerns/corrections/etc.
Comment 8 Stan Barber 2010-07-29 03:54:09 UTC
One more thing-- I have insured that this installation will not step on =
the existing port named dnscheck in the current ports tree.=
Comment 9 Ashish SHUKLA freebsd_committer 2010-08-07 12:25:30 UTC
Hi Stan,

Following are the files left after deinstall.

#v+
% sudo make deinstall PREFIX=/var/tmp/$(make -V PORTNAME)
===>  Deinstalling for dns/dnscheckengine
===>   Deinstalling dnscheckengine-1.1
% find /var/tmp/$(make -V PORTNAME) -type f
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Nameserver.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Config.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::DNS.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Consistency.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Host.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Connectivity.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Overview.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Address.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::DNSSEC.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::SMTP.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::ASN.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Zone.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Logger.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Common.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Delegation.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::SOA.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::Resolver.3
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Mail.3
/var/tmp/dnscheckengine/lib/perl5/site_perl/5.12.1/mach/auto/DNSCheck/.packlist
/var/tmp/dnscheckengine/man/man1/dnscheck-zonediff.1
/var/tmp/dnscheckengine/man/man1/dnscheck-dispatcher.1
/var/tmp/dnscheckengine/man/man1/dnscheck-preflight.1
/var/tmp/dnscheckengine/man/man1/dnscheck-hostsyntax.1
/var/tmp/dnscheckengine/man/man1/dnscheck.1
/var/tmp/dnscheckengine/man/man1/dnscheck-12hourmailer.1
#v-

Also there are couple of typos in the Makefile, e.g. RUN_DEPENDSS, Spport,
etc.

Can you please fix the issues ?

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âThe Ministry of Peace concerns itself with war, the Ministry of Truth
with lies, the Ministry of Love with torture, and the Ministry of
Plenty with starvation.â (George Orwell, "Nineteen Eighty-Four", 1949)
Comment 10 Stan Barber 2010-08-07 18:16:10 UTC
Acknowledged.

On Aug 7, 2010, at 6:25 AM, ashish@FreeBSD.org (Ashish SHUKLA) wrote:

> Hi Stan,
>=20
> Following are the files left after deinstall.
>=20
> #v+
> % sudo make deinstall PREFIX=3D/var/tmp/$(make -V PORTNAME)
> =3D=3D=3D>  Deinstalling for dns/dnscheckengine
> =3D=3D=3D>   Deinstalling dnscheckengine-1.1
> % find /var/tmp/$(make -V PORTNAME) -type f
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Nameserv=
er.3
> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Config.3
> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::DNS.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Consiste=
ncy.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Host.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Connecti=
vity.3
> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Overview.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Address.=
3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::DNSSEC.3=

> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::SMTP.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::ASN.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Zone.3
> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Logger.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Common.3=

> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Delegati=
on.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::SOA.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::Resolv=
er.3
> =
/var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Mail.3
> =
/var/tmp/dnscheckengine/lib/perl5/site_perl/5.12.1/mach/auto/DNSCheck/.pac=
klist
> /var/tmp/dnscheckengine/man/man1/dnscheck-zonediff.1
> /var/tmp/dnscheckengine/man/man1/dnscheck-dispatcher.1
> /var/tmp/dnscheckengine/man/man1/dnscheck-preflight.1
> /var/tmp/dnscheckengine/man/man1/dnscheck-hostsyntax.1
> /var/tmp/dnscheckengine/man/man1/dnscheck.1
> /var/tmp/dnscheckengine/man/man1/dnscheck-12hourmailer.1
> #v-
>=20
> Also there are couple of typos in the Makefile, e.g. RUN_DEPENDSS, =
Spport,
> etc.
>=20
> Can you please fix the issues ?
>=20
> Thanks
> --=20
> Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 =
E74F A4B0
> freebsd.org!ashish | http://people.freebsd.org/~ashish/
>=20
> =E2=80=9CThe Ministry of Peace concerns itself with war, the Ministry =
of Truth
> with lies, the Ministry of Love with torture, and the Ministry of
> Plenty with starvation.=E2=80=9D (George Orwell, "Nineteen =
Eighty-Four", 1949)
Comment 11 Stan Barber 2010-08-09 22:20:23 UTC
Attached is an updated version. I believe it will address all the problems you listed. I am wondering if it would be helpful to suggest additions to the porter's handbook to make it easier to built ports for perl things like this. The stuff that is there is helpful, but pretty meager.
Comment 12 Ashish SHUKLA freebsd_committer 2010-08-09 22:58:43 UTC
Stan Barber writes:
> Attached is an updated version. I believe it will address all the problems you listed. I am wondering if it would be helpful to suggest additions to the porter's handbook to make it easier to built ports for perl things like this. The stuff that is there is helpful, but pretty meager.


> # This is a shell archive.  Save it in a file, remove anything before
> # this line, and then unpack it by entering "sh file".  Note, it may
> # create directories; files and directories will be owned by you and
> # have default permissions.
> #
> # This archive contains:
> #
> #	dnscheckengine
> #	dnscheckengine/pkg-plist
> #	dnscheckengine/Makefile
> #	dnscheckengine/pkg-message
> #	dnscheckengine/pkg-descr
> #	dnscheckengine/files
> #	dnscheckengine/files/patch-contrib-dnscheck-dispatcher.sh
> #	dnscheckengine/files/patch-apps-dnscheck-dispatcher.pl
> #	dnscheckengine/pkg-install
> #	dnscheckengine/distinfo
> #	dnscheckengine/pkg-deinstall
> #
> echo c - dnscheckengine
> mkdir -p dnscheckengine > /dev/null 2>&1
> echo x - dnscheckengine/pkg-plist
> sed 's/^X//' >dnscheckengine/pkg-plist << 'fe731db4d9813609cbbb22b63512de61'
> Xlibexec/dnscheck/dnscheck
> Xlibexec/dnscheck/dnscheck-12hourmailer
> Xlibexec/dnscheck/dnscheck-dispatcher
> Xlibexec/dnscheck/dnscheck-hostsyntax
> Xlibexec/dnscheck/dnscheck-preflight
> Xlibexec/dnscheck/dnscheck-zonediff
> X@dirrm libexec/dnscheck
> Xbin/dnscheckengine
> Xman/man1/dnscheck-zonediff.1
> Xman/man1/dnscheck-dispatcher.1
> Xman/man1/dnscheck-preflight.1
> Xman/man1/dnscheck-hostsyntax.1
> Xman/man1/dnscheck.1
> Xman/man1/dnscheck-12hourmailer.1

There is a section[1] about MAN pages in Porters Handbook. And you can refer
to any of existing Perl related ports[2] for reference.

[...]

>> % find /var/tmp/$(make -V PORTNAME) -type f
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Nameserver.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Config.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::DNS.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Consistency.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Host.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Connectivity.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Overview.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Address.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::DNSSEC.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::SMTP.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::ASN.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Zone.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Logger.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Common.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Delegation.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::SOA.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Lookup::Resolver.3
>> /var/tmp/dnscheckengine/lib/perl5/5.12.1/man/man3/DNSCheck::Test::Mail.3

Although, I've not tried your port yet, but I see no mention of above man files ?

Use portlint[3] to catch such issues.

Looking forward to an updated port.

References:
[1]  http://www.freebsd.org/doc/en/books/porters-handbook/makefile-manpages.html
[2]  http://www.freebsd.org/cgi/cvsweb.cgi/ports/editors/p5-Padre/Makefile?rev=1.20;content-type=text%2Fplain
[3]  http://freshports.org/ports-mgmt/portlint

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âI can resist everything except temptation.â (Oscar Wilde, "Lady
Windermere's Fan", 1892)
Comment 13 Stan Barber 2010-08-10 16:19:39 UTC
Here is an updated version with the manual page issues addressed using the documentation pointers you provided.
Comment 14 Ashish SHUKLA freebsd_committer 2010-08-14 07:51:27 UTC
Hi Stan,

Apologies for the delay in replying.

Stan Barber writes:

> Here is an updated version with the manual page issues addressed using the
> documentation pointers you provided.


Following is the output of 'portlint -A' on the shar file you sent.

#v+
WARN: pkg-plist: [11]: whitespace before end of line.
WARN: pkg-plist: [12]: whitespace before end of line.
WARN: pkg-plist: [14]: whitespace before end of line.
WARN: pkg-plist: [15]: whitespace before end of line.
WARN: pkg-plist: [16]: whitespace before end of line.
WARN: pkg-plist: [18]: whitespace before end of line.
WARN: pkg-plist: [19]: whitespace before end of line.
WARN: pkg-plist: [20]: whitespace before end of line.
WARN: pkg-plist: [22]: whitespace before end of line.
WARN: pkg-plist: [23]: whitespace before end of line.
WARN: pkg-plist: [24]: whitespace before end of line.
WARN: pkg-plist: [26]: whitespace before end of line.
WARN: pkg-plist: [27]: whitespace before end of line.
WARN: pkg-plist: [31]: whitespace before end of line.
FATAL: Makefile: [52]: use a tab (not space) after a variable name
WARN: pkg-install: possible use of absolute pathname "/usr/local}".
WARN: pkg-install: possible direct use of "/usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
WARN: pkg-deinstall: possible use of absolute pathname "/usr/local}".
WARN: pkg-deinstall: possible direct use of "/usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
WARN: pkg-message: possible use of absolute pathname "/_/".
WARN: pkg-message: possible use of absolute pathname "/usr/local/bin".
WARN: pkg-message: possible direct use of "/usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
WARN: pkg-message: seems to have unnecessary blank lines at the last part.
1 fatal error and 22 warnings found.
#v-

I've fixed above issues with the port and attached diff file contains the
changes I made. Please approve them so I can fix them.

Let me know if you've any queries.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âOne reason why mathematics enjoys special esteem, above all other
sciences, is that its laws are absolutely certain and indisputable,
while those of other sciences are to some extent debatable and in
constant danger of being overthrown by newly discovered facts.â
("Albert Einstein", "Sidelights on Relativity", 1983)
Comment 15 Ashish SHUKLA freebsd_committer 2010-08-14 07:55:54 UTC
Oops, sorry forgot to attach the diff file.

-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âAll happy families resemble one another, each unhappy family is
unhappy in its own way.â (Leo Tolstoy, "Anna Karenina", (1875â1877))
Comment 16 Stan Barber 2010-08-21 21:56:33 UTC
I am fine with your proposed patches being integrated with the work I =
have submitted.

On Aug 14, 2010, at 1:55 AM, Ashish SHUKLA wrote:

> Oops, sorry forgot to attach the diff file.
>=20
> --=20
> Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 =
E74F A4B0
> freebsd.org!ashish | http://people.freebsd.org/~ashish/
>=20
> =93All happy families resemble one another, each unhappy family is
> unhappy in its own way.=94 (Leo Tolstoy, "Anna Karenina", (1875=961877))=

> <dnscheckengine.diff>
Comment 17 Ashish SHUKLA freebsd_committer 2010-08-21 22:05:37 UTC
Stan Barber writes:
> I am fine with your proposed patches being integrated with the work I have submitted.


Cool, I'll commit it today :)

-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âAs far as the laws of mathematics refer to reality, they are not
certain; and as far as they are certain, they do not refer to
reality.â ("Albert Einstein", "Sidelights on Relativity", 1983)
Comment 18 Ashish SHUKLA freebsd_committer 2010-08-22 19:42:47 UTC
Hi Stan,

There is an installation error on 6.x release. Following is the build log:

http://people.freebsd.org/~ashish/logs/dnscheckengine-1.1.log

Can you fix the changes ?

For your reference the updated shar file is attached.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âFew false ideas have more firmly gripped the minds of so many
intelligent men than the one that, if they just tried, they could
invent a cipher that no one could break.â (David Kahn, "The
Codebreakers", 1967)
Comment 19 Stan Barber 2010-08-23 03:34:20 UTC
Acknowledged. I will get back on this tomorrow.

On Aug 22, 2010, at 1:42 PM, ashish@FreeBSD.org (Ashish SHUKLA) wrote:

> Hi Stan,
>=20
> There is an installation error on 6.x release. Following is the build =
log:
>=20
> http://people.freebsd.org/~ashish/logs/dnscheckengine-1.1.log
>=20
> Can you fix the changes ?
>=20
> For your reference the updated shar file is attached.
>=20
> Thanks
> --=20
> Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 =
E74F A4B0
> freebsd.org!ashish | http://people.freebsd.org/~ashish/
>=20
> =E2=80=9CFew false ideas have more firmly gripped the minds of so many
> intelligent men than the one that, if they just tried, they could
> invent a cipher that no one could break.=E2=80=9D (David Kahn, "The
> Codebreakers", 1967)
> <dnscheckengine.sh>
Comment 20 Stan Barber 2010-08-23 20:43:15 UTC
Ok. I know what is causing the problem. It's a difference in how =
documentation files with spaces in the names were handled under FreeBSD =
< 7 versus how they are handled now.

As I am not an expert in the differences in how ports worked in FreeBSD =
6 and now, I don't know an easy fix for this, but I will see if I can =
hack something together.

On Aug 22, 2010, at 1:42 PM, Ashish SHUKLA wrote:

> Hi Stan,
>=20
> There is an installation error on 6.x release. Following is the build =
log:
>=20
> http://people.freebsd.org/~ashish/logs/dnscheckengine-1.1.log
>=20
> Can you fix the changes ?
>=20
> For your reference the updated shar file is attached.
>=20
> Thanks
> --=20
> Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 =
E74F A4B0
> freebsd.org!ashish | http://people.freebsd.org/~ashish/
>=20
> =93Few false ideas have more firmly gripped the minds of so many
> intelligent men than the one that, if they just tried, they could
> invent a cipher that no one could break.=94 (David Kahn, "The
> Codebreakers", 1967)
> <dnscheckengine.sh>
Comment 21 dfilter service freebsd_committer 2010-09-01 08:16:13 UTC
ashish      2010-09-01 07:16:00 UTC

  FreeBSD ports repository

  Modified files:
    dns                  Makefile 
  Added files:
    dns/dnscheckengine   Makefile distinfo pkg-descr pkg-plist 
    dns/dnscheckengine/files patch-apps-dnscheck-dispatcher.pl 
                             patch-contrib_dnscheck-dispatcher.sh 
                             pkg-deinstall.in pkg-install.in 
                             pkg-message.in 
  Log:
  DNSCheck is a program that is designed to help people check, measure and
  hopefully also understand the workings of the Domain Name System. When used to
  check an domain (aka zone) is submitted to DNSCheck, it will investigate the
  general health by performing various tests and sanity checks.
  
  WWW: http://dnscheck.iis.se/
  
  PR:             ports/148370
  Submitted by:   dnscheckengine-port at academ.com (Stan Barber)
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.119     +1 -0      ports/dns/Makefile
  1.1       +104 -0    ports/dns/dnscheckengine/Makefile (new)
  1.1       +3 -0      ports/dns/dnscheckengine/distinfo (new)
  1.1       +78 -0     ports/dns/dnscheckengine/files/patch-apps-dnscheck-dispatcher.pl (new)
  1.1       +14 -0     ports/dns/dnscheckengine/files/patch-contrib_dnscheck-dispatcher.sh (new)
  1.1       +20 -0     ports/dns/dnscheckengine/files/pkg-deinstall.in (new)
  1.1       +18 -0     ports/dns/dnscheckengine/files/pkg-install.in (new)
  1.1       +34 -0     ports/dns/dnscheckengine/files/pkg-message.in (new)
  1.1       +6 -0      ports/dns/dnscheckengine/pkg-descr (new)
  1.1       +40 -0     ports/dns/dnscheckengine/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 22 Ashish SHUKLA freebsd_committer 2010-09-01 08:22:48 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!